<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Javadoc</title><link rel="stylesheet" href="synopsis.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.73.2" /><link rel="start" href="index.html" title="Synopsis Tutorial" /><link rel="up" href="markup.html" title="Appendix C. Supported Documentation Markup" /><link rel="prev" href="markup.html" title="Appendix C. Supported Documentation Markup" /><link rel="next" href="rest.html" title="ReStructured Text" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Javadoc</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="markup.html">Prev</a> </td><th width="60%" align="center">Appendix C. Supported Documentation Markup</th><td width="20%" align="right"> <a accesskey="n" href="rest.html">Next</a></td></tr></table></div><div class="section" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="javadoc"></a>Javadoc</h2></div></div></div><p>Synopsis provides support for Javadoc-style markup (See
        <a class="ulink" href="http://java.sun.com/j2se/1.5.0/docs/tooldocs/solaris/javadoc.html" target="_top">http://java.sun.com/j2se/1.5.0/docs/tooldocs/solaris/javadoc.html</a>).
        However, as Javadoc is very HTML-centric, best results will only be achieved when
        HTML is the only output-medium.</p><p>Javadoc comments consist of a main description, followed by tag blocks. Tag blocks
        are of the form <code class="code">@tag</code>. The following block tags are recognized:</p><span class="simplelist">author, date, deprecated, exception, invariant, keyword, param, postcondition, precondition, return, see, throws, version</span><p>All blocks may contain any of the following inline tags, which are of the
        form <code class="code">{@inlinetag}</code>:</p><span class="simplelist">link, code, literal</span><p>Link targets may be text, or HTML anchor elements. In case of text Synopsis interprets
        the it as a name-id and attempts to look it up in its symbol table.</p><p>All of the above tags are recognized and translated properly for both, the <span class="type">HTML</span>
        as well as the <span class="type">DocBook</span> formatters. Javadoc recommends to use <code class="code">HTML</code>
        markup for additional document annotation. This is only supported with the <span class="type">HTML</span>
        formatter, however.</p><div class="example"><a id="id493667"></a><p class="title"><b>Example C.1. C++ code snippet using Javadoc-style comments.</b></p><div class="example-contents"><pre class="programlisting">
/**
 * The Bezier class. It implements a Bezier curve
 * for the given order. See {@link Nurbs} for an alternative
 * curved path class. Example usage of the Bezier class:
 * &lt;pre&gt;
 *   Bezier&amp;lt;2&amp;gt; bezier;
 *   bezier.add_control_point(Vertex(0., 0.));
 *   bezier.add_control_point(Vertex(0., 1.));
 *   ...
 * &lt;/pre&gt;
 *
 * @param Order The order of the Bezier class.
 * @see &lt;a href="http://en.wikipedia.org/wiki/Bezier"/&gt;
 */
template &lt;size_t Order&gt;
class Bezier : public Path
{
...
      </pre></div></div><br class="example-break" /></div><div class="navfooter"><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="markup.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="markup.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="rest.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Appendix C. Supported Documentation Markup </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> ReStructured Text</td></tr></table></div></body></html>
